*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    width: 100%;
    height: 100vh;
    font-family: Arial, Helvetica, sans-serif;
}
.container{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
}
.bloco{
    width: 30rem;
    height: 30%;

    background-color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    justify-content: space-evenly;
    gap: 1rem;
    text-align: center;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(68, 68, 68, 0.301);
}
#btnAdd{
    border: none;
    border-radius: 5px;
    background-color: rgb(3, 223, 113);
    color: white;
    padding: 10px 25px;
    cursor: pointer;
    transition:  background-color .2s;
    font-size: 1rem;
}
#btnAdd:hover{
    background-color: rgb(1, 196, 98);
}
h1{
    margin-bottom: 20px;
    font-size: 2rem;
}
#inputList{
    outline: none;
    border: 1px solid rgb(209, 209, 209);
    width: 80%;
    padding: 10px 20px;
    font-size: 1rem;
    letter-spacing: .5px;
    box-shadow: 0px 0px 10px rgba(88, 88, 88, 0.233);
    border-radius: 5px;
}
#inputList:focus{
    border:1px solid black;
}
ul{
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}


/* ------- saida de listas -------*/

.saida{
    top:70%;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 80%;
    height: auto;
    padding: 20px;
li{
    width: 100%;
    border-radius: 5px;
    box-shadow: 3px 3px 10px rgba(124, 124, 124, 0.295);
    padding:15px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.btnRemover{
    height: 40px;
    background-color: rgb(216, 0, 0);
    border: none;
    padding: 5px 10px;
    border-radius: 5px;
    color: white;
    font-size: 1rem;
    box-shadow: 3px 3px 20px rgba(90, 90, 90, 0.308);
    margin-left: 20px;
}
.btnRemover:hover{
    background-color: rgb(255, 41, 41);
}

/* ------ responsividade do site ------ */

@media (width<1310px) {
    .saida{
        width: 80%;
    }
}
@media (width<830px) {
    .saida{
        width: 90%;
        padding: 20px;
    }
    li{
        font-size: .9rem;
    }
    .btnRemover{
        margin-left: 10px;
        font-size: .8rem;
    }
}
@media (width<665px) {
    .saida{
        width: 90%;
        padding: 0px;
        background-color: transparent;
        box-shadow: 0px 0px 0px transparent;
    }
    li{
        font-size: .9rem;
        width: 100%;
    }
    .btnRemover{
        margin-left: 0px;
        font-size: .8rem;
    }
}
@media (width<585px) {
    .saida{
        background-color: transparent;
        box-shadow: 0px 0px 0px transparent;
    }
    li{
        font-size: .9rem;
        width: 100%;
        flex-direction: column;
    }
    .btnRemover{
       margin-top: 20px;
        font-size: .8rem;
        width: 100%;
    }
}
}